Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.cci.object
Class SimpleRecordOperation

    java.lang.Object
      org.springframework.jca.cci.object.EisOperation
          org.springframework.jca.cci.object.SimpleRecordOperation

All Implemented Interfaces:
  InitializingBean

    public class SimpleRecordOperation

extends EisOperation

EIS operation object that accepts a passed-in CCI input Record and returns a corresponding CCI output Record.

Since:
  1.2
Author:
  Juergen Hoeller

Constructor Summary
`SimpleRecordOperation()` Constructor that allows use as a JavaBean.
`SimpleRecordOperation(ConnectionFactory connectionFactory, InteractionSpec interactionSpec)` Convenient constructor with ConnectionFactory and specifications (connection and interaction).

Method Summary
`Record` | `execute(Record inputRecord)` Execute the CCI interaction encapsulated by this operation object.
`void` | `execute(Record inputRecord, Record outputRecord)` Execute the CCI interaction encapsulated by this operation object.

Methods inherited from class org.springframework.jca.cci.object.EisOperation
`afterPropertiesSet, getCciTemplate, getInteractionSpec, setCciTemplate, setConnectionFactory, setInteractionSpec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRecordOperation

    public SimpleRecordOperation()

  Constructor that allows use as a JavaBean.

### SimpleRecordOperation

    public SimpleRecordOperation(ConnectionFactory connectionFactory,
                                 InteractionSpec interactionSpec)

  Convenient constructor with ConnectionFactory and specifications (connection and interaction).

  Parameters:
    `connectionFactory` - ConnectionFactory to use to obtain connections

Method Detail

### execute

    public Record execute(Record inputRecord)
                   throws DataAccessException

  Execute the CCI interaction encapsulated by this operation object.

  This method will call CCI's `Interaction.execute` variant that returns an output Record.

  Parameters:
    `inputRecord` - the input record
  Returns:
    the output record
  Throws:
    `DataAccessException` - if there is any problem
  See Also:
    `Interaction.execute(javax.resource.cci.InteractionSpec, Record)`

### execute

    public void execute(Record inputRecord,
                        Record outputRecord)
                 throws DataAccessException

  Execute the CCI interaction encapsulated by this operation object.

  This method will call CCI's `Interaction.execute` variant with a passed-in output Record.

  Parameters:
    `inputRecord` - the input record
    `outputRecord` - the output record
  Throws:
    `DataAccessException` - if there is any problem
  See Also:
    `Interaction.execute(javax.resource.cci.InteractionSpec, Record, Record)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.